/******************************************************************************* 

Project: Empirical studies for Ju Shi and Wei (2019)
Purpose: Amend regression in the motivation part
         Control for financial deregulation
Author:  Junjie Tang
Data:    4 Nov. 2019

*******************************************************************************/

cd "C:\Users\JJ Tang\OD\Ju Shi Wei 2019\Data"

* Regression
use reg_sample19, clear

// Benchmark
reg delta_ca delta_intensity if (country~="Belize" & country~="Guyana")
	outreg2 using reg1.xls, replace
reg delta_ca delta_intensity delta_rer if (country~="Belize" & country~="Guyana")
	outreg2 using reg1.xls, append

// Control for financial deregulation
reg delta_ca delta_intensity delta_ci if (country~="Belize" & country~="Guyana")
	outreg2 using reg1.xls, append
reg delta_ca delta_intensity delta_lb if (country~="Belize" & country~="Guyana")
	outreg2 using reg1.xls, append
reg delta_ca delta_intensity delta_fkrsu if (country~="Belize" & country~="Guyana")
	outreg2 using reg1.xls, append
	
// Control for initial RCA
reg delta_ca delta_intensity ini_rcag if (country~="Belize" & country~="Guyana")
	outreg2 using reg1.xls, append
reg delta_ca delta_intensity ini_rcas if (country~="Belize" & country~="Guyana")
	outreg2 using reg1.xls, append
reg delta_ca delta_intensity ini_rcag ini_rcas if (country~="Belize" & country~="Guyana")
	outreg2 using reg1.xls, append
